aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMithun Veluri <velurimithun38@gmail.com>2024-03-30 09:32:49 +0000
committerSeongJae Park <71698583+sj-aws@users.noreply.github.com>2024-03-31 09:41:08 -0700
commit880d6ec55454ce308b01ba7e15ac0c2e79ab4018 (patch)
tree61b9d0785fa4170a9c3dd6534641b471d3494003
parentca0ff21260ee91c103e03d0fe2bc1288cc4765c9 (diff)
downloaddamo-880d6ec55454ce308b01ba7e15ac0c2e79ab4018.tar.gz
tests/start_stop: Set nr_accesses boundaries for tune-record-ongoing-validate
Damo is tuned for 200ms aggr interval in this test and default max nr_accesses limit is 24. So, mention nr_accesses limits as options in validate cmd to avoid failure in tests. Signed-off-by: Mithun Veluri <velurimithun38@gmail.com>
-rwxr-xr-xtests/start_stop/test.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/start_stop/test.sh b/tests/start_stop/test.sh
index c1bec1f1..20e9e808 100755
--- a/tests/start_stop/test.sh
+++ b/tests/start_stop/test.sh
@@ -97,7 +97,7 @@ do
fi
sudo timeout 3 "$damo" record ongoing \
--damon_interface_DEPRECATED "$damon_interface" &> /dev/null
- if ! "$damo" validate --aggr 180000 220000 2> /dev/null
+ if ! "$damo" validate --aggr 180000 220000 --nr_accesses 0 44 2> /dev/null
then
echo "FAIL $testname2 (invalid record file after tune)"
if ! sudo "$damo" stop